Bug 8406 - winbind might not return groupnames to getgrgid nss calls
winbind might not return groupnames to getgrgid nss calls
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
3.6.0
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 15:56 UTC by Christian Ambach
Modified: 2012-02-03 19:41 UTC (History)
2 users (show)

See Also:


Attachments
proposed patch (as in master) (1.32 KB, patch)
2011-08-25 15:56 UTC, Christian Ambach
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ambach 2011-08-25 15:56:22 UTC
This was found while testing with patches that obnox has in his v3-6-ctdb branch that change the behavior of rbt traverse to return the number of records found, as other traverse functions do

However, code in winbindd checks for a return code != 0 to detect an error. This code then trips and reports a false error.

It does not harm to correct this error checking already, maybe the rbt fixes come into 3.6 later and then it will be good to be prepared
Comment 1 Christian Ambach 2011-08-25 15:56:56 UTC
Created attachment 6806 [details]
proposed patch (as in master)
Comment 2 Michael Adam 2012-02-02 22:12:09 UTC
Assigning to Karolin for inclusion into 3.6.NEXT
Comment 3 Karolin Seeger 2012-02-03 19:41:01 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!